#include "libasset.h"
#include <stdio.h>

int main( int argc, char *argv )
{
    ASSET_MANAGER	mgr;
    ASSET_HANDLE	res;
    char		*buf;

    mgr = new_asset_manager();
    if (mgr == NULL)
	printf( "Failed to allocate asset manager!\n" );
	
//    set_asset_path( mgr, "/home/talin/strattica/resource.zip:/home/talin/strattica/" );
    if (set_asset_path( mgr, "/home/talin/strattica/resource.zip" ) != 0)
	printf( "%s\n", get_asset_error( mgr, NULL ) );
    res = open_asset( mgr, "images/test3.png" );
//    res = open_asset( mgr, "outline.html" );
    if (res == NULL)
	printf( "%s\n", get_asset_error( mgr, NULL ) );
    else
    {
	long	result;
	
	printf( "Opened asset handle OK\n" );
	buf = alloca( 1000 );
	result = read_asset( res, buf, 1000 );
	if (result < 0)
	    printf( "%s\n", get_asset_error( mgr, NULL ) );
	else
	    printf( "Read %d bytes\n", result );

	result = read_asset( res, buf, 1000 );
	if (result < 0)
	    printf( "%s\n", get_asset_error( mgr, NULL ) );
	else
	    printf( "Read %d bytes\n", result );

	close_asset( res );
    }
        
    delete_asset_manager( mgr );
}
